## golang-github-grpc-ecosystem-grpc-gateway 1.1.0+git20170127.54.6863684

=== Makefile ===
# This is a Makefile which maintains files automatically generated but to be
# shipped together with other files.
# You don't have to rebuild these targets by yourself unless you develop
# grpc-gateway itself.

PKG=github.com/grpc-ecosystem/grpc-gateway
GO_PLUGIN=bin/protoc-gen-go
GO_PLUGIN_PKG=github.com/golang/protobuf/protoc-gen-go
SWAGGER_PLUGIN=bin/protoc-gen-swagger
SWAGGER_PLUGIN_SRC= utilities/doc.go \
		    utilities/pattern.go \
		    utilities/trie.go \
		    protoc-gen-swagger/genswagger/generator.go \
		    protoc-gen-swagger/genswagger/template.go \
		    protoc-gen-swagger/main.go
SWAGGER_PLUGIN_PKG=$(PKG)/protoc-gen-swagger
GATEWAY_PLUGIN=bin/protoc-gen-grpc-gateway
GATEWAY_PLUGIN_PKG=$(PKG)/protoc-gen-grpc-gateway
GATEWAY_PLUGIN_SRC= utilities/doc.go \
		    utilities/pattern.go \
		    utilities/trie.go \
		    protoc-gen-grpc-gateway \
		    protoc-gen-grpc-gateway/descriptor \
		    protoc-gen-grpc-gateway/descriptor/registry.go \
		    protoc-gen-grpc-gateway/descriptor/services.go \
		    protoc-gen-grpc-gateway/descriptor/types.go \
		    protoc-gen-grpc-gateway/generator \
		    protoc-gen-grpc-gateway/generator/generator.go \
		    protoc-gen-grpc-gateway/gengateway \
		    protoc-gen-grpc-gateway/gengateway/doc.go \
		    protoc-gen-grpc-gateway/gengateway/generator.go \
		    protoc-gen-grpc-gateway/gengateway/template.go \
		    protoc-gen-grpc-gateway/httprule \
		    protoc-gen-grpc-gateway/httprule/compile.go \
		    protoc-gen-grpc-gateway/httprule/parse.go \
		    protoc-gen-grpc-gateway/httprule/types.go \
		    protoc-gen-grpc-gateway/main.go
GATEWAY_PLUGIN_FLAGS?=

GOOGLEAPIS_DIR=third_party/googleapis
OPTIONS_PROTO=$(GOOGLEAPIS_DIR)/google/api/annotations.proto $(GOOGLEAPIS_DIR)/google/api/http.proto
OPTIONS_GO=$(OPTIONS_PROTO:.proto=.pb.go)
OUTPUT_DIR=_output

RUNTIME_PROTO=runtime/internal/stream_chunk.proto
RUNTIME_GO=$(RUNTIME_PROTO:.proto=.pb.go)

PKGMAP=Mgoogle/protobuf/descriptor.proto=$(GO_PLUGIN_PKG)/descriptor,Mgoogle/api/annotations.proto=$(PKG)/$(GOOGLEAPIS_DIR)/google/api,Mexamples/sub/message.proto=$(PKG)/examples/sub
ADDITIONAL_FLAGS=
ifneq "$(GATEWAY_PLUGIN_FLAGS)" ""
	ADDITIONAL_FLAGS=,$(GATEWAY_PLUGIN_FLAGS)
endif
SWAGGER_EXAMPLES=examples/examplepb/echo_service.proto \
	 examples/examplepb/a_bit_of_everything.proto
EXAMPLES=examples/examplepb/echo_service.proto \
	 examples/examplepb/a_bit_of_everything.proto \
	 examples/examplepb/stream.proto \
	 examples/examplepb/flow_combination.proto
EXAMPLE_SVCSRCS=$(EXAMPLES:.proto=.pb.go)
EXAMPLE_GWSRCS=$(EXAMPLES:.proto=.pb.gw.go)
EXAMPLE_SWAGGERSRCS=$(EXAMPLES:.proto=.swagger.json)
EXAMPLE_DEPS=examples/sub/message.proto examples/sub2/message.proto
EXAMPLE_DEPSRCS=$(EXAMPLE_DEPS:.proto=.pb.go)

EXAMPLE_CLIENT_DIR=examples/clients
ECHO_EXAMPLE_SPEC=examples/examplepb/echo_service.swagger.json
ECHO_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/echo/EchoServiceApi.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/ExamplepbSimpleMessage.go
ABE_EXAMPLE_SPEC=examples/examplepb/a_bit_of_everything.swagger.json
ABE_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/abe/ABitOfEverythingServiceApi.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/ABitOfEverythingNested.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/ExamplepbABitOfEverything.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/ExamplepbNumericEnum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/ExamplepbIdMessage.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/NestedDeepEnum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/ProtobufEmpty.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/Sub2IdMessage.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/SubStringMessage.go
EXAMPLE_CLIENT_SRCS=$(ECHO_EXAMPLE_SRCS) $(ABE_EXAMPLE_SRCS)
SWAGGER_CODEGEN=swagger-codegen

PROTOC_INC_PATH=$(dir $(shell which protoc))/../include

generate: $(OPTIONS_GO) $(RUNTIME_GO)

.SUFFIXES: .go .proto

$(GO_PLUGIN): 
	go get $(GO_PLUGIN_PKG)
	go build -o $@ $(GO_PLUGIN_PKG)

$(OPTIONS_GO): $(OPTIONS_PROTO) $(GO_PLUGIN)
	protoc -I $(PROTOC_INC_PATH) -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP):$(GOOGLEAPIS_DIR) $(OPTIONS_PROTO)
$(RUNTIME_GO): $(RUNTIME_PROTO) $(GO_PLUGIN)
	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I. --go_out=$(PKGMAP):. $(RUNTIME_PROTO)

$(GATEWAY_PLUGIN): $(OPTIONS_GO) $(RUNTIME_GO) $(GATEWAY_PLUGIN_SRC)
	go build -o $@ $(GATEWAY_PLUGIN_PKG)

$(SWAGGER_PLUGIN): $(OPTIONS_GO) $(SWAGGER_PLUGIN_SRC)
	go build -o $@ $(SWAGGER_PLUGIN_PKG)

$(EXAMPLE_SVCSRCS): $(GO_PLUGIN) $(EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc:. $(EXAMPLES)
$(EXAMPLE_DEPSRCS): $(GO_PLUGIN) $(EXAMPLE_DEPS)
	mkdir -p $(OUTPUT_DIR)
	protoc -I $(PROTOC_INC_PATH) -I. --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc:$(OUTPUT_DIR) $(@:.pb.go=.proto)
	cp $(OUTPUT_DIR)/$(PKG)/$@ $@ || cp $(OUTPUT_DIR)/$@ $@
$(EXAMPLE_GWSRCS): $(GATEWAY_PLUGIN) $(EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GATEWAY_PLUGIN) --grpc-gateway_out=logtostderr=true,$(PKGMAP)$(ADDITIONAL_FLAGS):. $(EXAMPLES)
$(EXAMPLE_SWAGGERSRCS): $(SWAGGER_PLUGIN) $(SWAGGER_EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(SWAGGER_PLUGIN) --swagger_out=logtostderr=true,$(PKGMAP):. $(SWAGGER_EXAMPLES)

$(ECHO_EXAMPLE_SRCS): $(ECHO_EXAMPLE_SPEC)
	$(SWAGGER_CODEGEN) generate -i $(ECHO_EXAMPLE_SPEC) \
	    -l go -o examples/clients --additional-properties packageName=echo
	@rm -f $(EXAMPLE_CLIENT_DIR)/README.md $(EXAMPLE_CLIENT_DIR)/git_push.sh $(EXAMPLE_CLIENT_DIR)/.gitignore
$(ABE_EXAMPLE_SRCS): $(ABE_EXAMPLE_SPEC)
	$(SWAGGER_CODEGEN) generate -i $(ABE_EXAMPLE_SPEC) \
	    -l go -o examples/clients --additional-properties packageName=abe
	@rm -f $(EXAMPLE_CLIENT_DIR)/README.md $(EXAMPLE_CLIENT_DIR)/git_push.sh $(EXAMPLE_CLIENT_DIR)/.gitignore

examples: $(EXAMPLE_SVCSRCS) $(EXAMPLE_GWSRCS) $(EXAMPLE_DEPSRCS) $(EXAMPLE_SWAGGERSRCS) $(EXAMPLE_CLIENT_SRCS)
test: examples
	go test -race $(PKG)/...

lint:
	golint --set_exit_status $(PKG)/runtime
	golint --set_exit_status $(PKG)/utilities/...
	golint --set_exit_status $(PKG)/protoc-gen-grpc-gateway/...
	golint --set_exit_status $(PKG)/protoc-gen-swagger/...
	go vet $(PKG)/runtime || true
	go vet $(PKG)/utilities/...
	go vet $(PKG)/protoc-gen-grpc-gateway/...
	go vet $(PKG)/protoc-gen-swagger/...

clean distclean:
	rm -f $(GATEWAY_PLUGIN)
realclean: distclean
	rm -f $(OPTIONS_GO)
	rm -f $(EXAMPLE_SVCSRCS) $(EXAMPLE_DEPSRCS)
	rm -f $(EXAMPLE_GWSRCS)
	rm -f $(EXAMPLE_SWAGGERSRCS)
	rm -f $(GO_PLUGIN)
	rm -f $(SWAGGER_PLUGIN)
	rm -f $(EXAMPLE_CLIENT_SRCS)

.PHONY: generate examples test lint clean distclean realclean

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.1.0+git20170127.54.6863684-1) unstable; urgency=medium

  * Initial release (Closes: #854642)

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Feb 2017 21:15:45 +1100

=== debian/control ===
Source: golang-github-grpc-ecosystem-grpc-gateway
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-dghubble-sling-dev,
               golang-glog-dev,
               golang-goprotobuf-dev,
               golang-github-rogpeppe-fastuuid-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev
Standards-Version: 3.9.8
Homepage: https://github.com/grpc-ecosystem/grpc-gateway
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway

Package: golang-github-grpc-ecosystem-grpc-gateway-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-dghubble-sling-dev,
         golang-glog-dev,
         golang-goprotobuf-dev,
         golang-github-rogpeppe-fastuuid-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev
Description: gRPC to JSON proxy generator for Golang
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the development files.

Package: golang-grpc-gateway
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: gRPC to JSON proxy generator for Golang
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the generator binaries.

## golang-github-grpc-ecosystem-grpc-gateway 1.2.2

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * New upstream release.
  * Update Standards-Version to 4.1.0
    + Change priority to optional
    + Use https in copyright format url
  * d/control:
    + Bump golang-google-grpc-dev to 1.6.0
    + Add Testsuite
  * exclude examples dir when building
  * Add upstream patch to fix failed test

  [ Martín Ferrari ]
  * Differentiate package descriptions.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Sep 2017 03:50:30 +0000

=== debian/control ===
Source: golang-github-grpc-ecosystem-grpc-gateway
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>,
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-dghubble-sling-dev,
               golang-github-rogpeppe-fastuuid-dev,
               golang-glog-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev (>= 1.6.0),
               golang-goprotobuf-dev,
Standards-Version: 4.1.0
Homepage: https://github.com/grpc-ecosystem/grpc-gateway
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
Testsuite: autopkgtest-pkg-go

Package: golang-github-grpc-ecosystem-grpc-gateway-dev
Architecture: all
Depends: golang-github-dghubble-sling-dev,
         golang-github-rogpeppe-fastuuid-dev,
         golang-glog-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev (>= 1.6.0),
         golang-goprotobuf-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: gRPC to JSON proxy generator for Golang -- sources
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the development files.

Package: golang-grpc-gateway
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: gRPC to JSON proxy generator for Golang -- binaries
 Grpc-gateway is a protoc plugin that reads gRPC service definitions
 and generates a reverse-proxy server which translates a RESTful JSON
 API into gRPC. The server is generated according to custom options in
 your gRPC definition and helps you to provide your APIs in both gRPC
 and RESTful style at the same time.
 .
 This package contains the generator binaries.

## golang-github-grpc-ecosystem-grpc-gateway 1.3.0

=== Makefile ===
--- 
+++ 
@@ -38,14 +38,15 @@
 GATEWAY_PLUGIN_FLAGS?=
 
 GOOGLEAPIS_DIR=third_party/googleapis
-OPTIONS_PROTO=$(GOOGLEAPIS_DIR)/google/api/annotations.proto $(GOOGLEAPIS_DIR)/google/api/http.proto
-OPTIONS_GO=$(OPTIONS_PROTO:.proto=.pb.go)
 OUTPUT_DIR=_output
 
 RUNTIME_PROTO=runtime/internal/stream_chunk.proto
 RUNTIME_GO=$(RUNTIME_PROTO:.proto=.pb.go)
 
-PKGMAP=Mgoogle/protobuf/descriptor.proto=$(GO_PLUGIN_PKG)/descriptor,Mgoogle/api/annotations.proto=$(PKG)/$(GOOGLEAPIS_DIR)/google/api,Mexamples/sub/message.proto=$(PKG)/examples/sub
+OPENAPIV2_PROTO=protoc-gen-swagger/options/openapiv2.proto protoc-gen-swagger/options/annotations.proto
+OPENAPIV2_GO=$(OPENAPIV2_PROTO:.proto=.pb.go)
+
+PKGMAP=Mgoogle/protobuf/descriptor.proto=$(GO_PLUGIN_PKG)/descriptor,Mexamples/sub/message.proto=$(PKG)/examples/sub
 ADDITIONAL_FLAGS=
 ifneq "$(GATEWAY_PLUGIN_FLAGS)" ""
 	ADDITIONAL_FLAGS=,$(GATEWAY_PLUGIN_FLAGS)
@@ -81,23 +82,24 @@
 
 PROTOC_INC_PATH=$(dir $(shell which protoc))/../include
 
-generate: $(OPTIONS_GO) $(RUNTIME_GO)
+generate: $(RUNTIME_GO)
 
 .SUFFIXES: .go .proto
 
-$(GO_PLUGIN): 
+$(GO_PLUGIN):
 	go get $(GO_PLUGIN_PKG)
 	go build -o $@ $(GO_PLUGIN_PKG)
 
-$(OPTIONS_GO): $(OPTIONS_PROTO) $(GO_PLUGIN)
-	protoc -I $(PROTOC_INC_PATH) -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP):$(GOOGLEAPIS_DIR) $(OPTIONS_PROTO)
 $(RUNTIME_GO): $(RUNTIME_PROTO) $(GO_PLUGIN)
 	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I. --go_out=$(PKGMAP):. $(RUNTIME_PROTO)
 
-$(GATEWAY_PLUGIN): $(OPTIONS_GO) $(RUNTIME_GO) $(GATEWAY_PLUGIN_SRC)
+$(OPENAPIV2_GO): $(OPENAPIV2_PROTO) $(GO_PLUGIN)
+	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I. --go_out=$(PKGMAP):$(GOPATH)/src $(OPENAPIV2_PROTO)
+
+$(GATEWAY_PLUGIN): $(RUNTIME_GO) $(GATEWAY_PLUGIN_SRC)
 	go build -o $@ $(GATEWAY_PLUGIN_PKG)
 
-$(SWAGGER_PLUGIN): $(OPTIONS_GO) $(SWAGGER_PLUGIN_SRC)
+$(SWAGGER_PLUGIN): $(SWAGGER_PLUGIN_SRC) $(OPENAPIV2_GO)
 	go build -o $@ $(SWAGGER_PLUGIN_PKG)
 
 $(EXAMPLE_SVCSRCS): $(GO_PLUGIN) $(EXAMPLES)
@@ -113,12 +115,16 @@
 
 $(ECHO_EXAMPLE_SRCS): $(ECHO_EXAMPLE_SPEC)
 	$(SWAGGER_CODEGEN) generate -i $(ECHO_EXAMPLE_SPEC) \
-	    -l go -o examples/clients --additional-properties packageName=echo
-	@rm -f $(EXAMPLE_CLIENT_DIR)/README.md $(EXAMPLE_CLIENT_DIR)/git_push.sh $(EXAMPLE_CLIENT_DIR)/.gitignore
+	    -l go -o examples/clients/echo --additional-properties packageName=echo
+	@rm -f $(EXAMPLE_CLIENT_DIR)/echo/README.md \
+		$(EXAMPLE_CLIENT_DIR)/echo/git_push.sh \
+		$(EXAMPLE_CLIENT_DIR)/echo/.travis.yml
 $(ABE_EXAMPLE_SRCS): $(ABE_EXAMPLE_SPEC)
 	$(SWAGGER_CODEGEN) generate -i $(ABE_EXAMPLE_SPEC) \
-	    -l go -o examples/clients --additional-properties packageName=abe
-	@rm -f $(EXAMPLE_CLIENT_DIR)/README.md $(EXAMPLE_CLIENT_DIR)/git_push.sh $(EXAMPLE_CLIENT_DIR)/.gitignore
+	    -l go -o examples/clients/abe --additional-properties packageName=abe
+	@rm -f $(EXAMPLE_CLIENT_DIR)/abe/README.md \
+		$(EXAMPLE_CLIENT_DIR)/abe/git_push.sh \
+		$(EXAMPLE_CLIENT_DIR)/abe/.travis.yml
 
 examples: $(EXAMPLE_SVCSRCS) $(EXAMPLE_GWSRCS) $(EXAMPLE_DEPSRCS) $(EXAMPLE_SWAGGERSRCS) $(EXAMPLE_CLIENT_SRCS)
 test: examples
@@ -137,12 +143,12 @@
 clean distclean:
 	rm -f $(GATEWAY_PLUGIN)
 realclean: distclean
-	rm -f $(OPTIONS_GO)
 	rm -f $(EXAMPLE_SVCSRCS) $(EXAMPLE_DEPSRCS)
 	rm -f $(EXAMPLE_GWSRCS)
 	rm -f $(EXAMPLE_SWAGGERSRCS)
 	rm -f $(GO_PLUGIN)
 	rm -f $(SWAGGER_PLUGIN)
 	rm -f $(EXAMPLE_CLIENT_SRCS)
+	rm -f $(OPENAPIV2_GO)
 
 .PHONY: generate examples test lint clean distclean realclean

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.3.0-1) unstable; urgency=medium

  [ Martín Ferrari ]
  * New upstream release.
  * Remove now unneeded patches.
  * Add myself to Uploaders.
  * Automated cme updates.
  * Stop using pristine-tar.
  * Rearrange the git layout to match team's policy.

 -- Martín Ferrari <tincho@debian.org>  Sun, 21 Jan 2018 20:45:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: golang-github-grpc-ecosystem-grpc-gateway
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Martín Ferrari <tincho@debian.org>,
+           Tim Potter <tpot@hpe.com>,
 Section: devel
+Testsuite: autopkgtest-pkg-go
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Potter <tpot@hpe.com>,
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any,
@@ -12,12 +14,11 @@
                golang-golang-x-net-dev,
                golang-google-grpc-dev (>= 1.6.0),
                golang-goprotobuf-dev,
-Standards-Version: 4.1.0
-Homepage: https://github.com/grpc-ecosystem/grpc-gateway
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
+Homepage: https://github.com/grpc-ecosystem/grpc-gateway
 XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
-Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-grpc-ecosystem-grpc-gateway-dev
 Architecture: all
@@ -40,9 +41,9 @@
 
 Package: golang-grpc-gateway
 Architecture: any
-Built-Using: ${misc:Built-Using},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
 Description: gRPC to JSON proxy generator for Golang -- binaries
  Grpc-gateway is a protoc plugin that reads gRPC service definitions
  and generates a reverse-proxy server which translates a RESTful JSON

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-grpc-ecosystem-grpc-gateway-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/grpc-ecosystem/grpc-gateway/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-grpc-ecosystem-grpc-gateway 1.6.4

=== Makefile ===
# This is a Makefile which maintains files automatically generated but to be
# shipped together with other files.
# You don't have to rebuild these targets by yourself unless you develop
# grpc-gateway itself.

PKG=github.com/grpc-ecosystem/grpc-gateway
GO_PLUGIN=bin/protoc-gen-go
GO_PROTOBUF_REPO=github.com/golang/protobuf
GO_PLUGIN_PKG=$(GO_PROTOBUF_REPO)/protoc-gen-go
GO_PTYPES_ANY_PKG=$(GO_PROTOBUF_REPO)/ptypes/any
SWAGGER_PLUGIN=bin/protoc-gen-swagger
SWAGGER_PLUGIN_SRC= utilities/doc.go \
		    utilities/pattern.go \
		    utilities/trie.go \
		    protoc-gen-swagger/genswagger/generator.go \
		    protoc-gen-swagger/genswagger/template.go \
		    protoc-gen-swagger/main.go
SWAGGER_PLUGIN_PKG=$(PKG)/protoc-gen-swagger
GATEWAY_PLUGIN=bin/protoc-gen-grpc-gateway
GATEWAY_PLUGIN_PKG=$(PKG)/protoc-gen-grpc-gateway
GATEWAY_PLUGIN_SRC= utilities/doc.go \
		    utilities/pattern.go \
		    utilities/trie.go \
		    protoc-gen-grpc-gateway \
		    protoc-gen-grpc-gateway/descriptor \
		    protoc-gen-grpc-gateway/descriptor/registry.go \
		    protoc-gen-grpc-gateway/descriptor/services.go \
		    protoc-gen-grpc-gateway/descriptor/types.go \
		    protoc-gen-grpc-gateway/descriptor/grpc_api_configuration.go \
		    protoc-gen-grpc-gateway/descriptor/grpc_api_service.go \
		    protoc-gen-grpc-gateway/generator \
		    protoc-gen-grpc-gateway/generator/generator.go \
		    protoc-gen-grpc-gateway/gengateway \
		    protoc-gen-grpc-gateway/gengateway/doc.go \
		    protoc-gen-grpc-gateway/gengateway/generator.go \
		    protoc-gen-grpc-gateway/gengateway/template.go \
		    protoc-gen-grpc-gateway/httprule \
		    protoc-gen-grpc-gateway/httprule/compile.go \
		    protoc-gen-grpc-gateway/httprule/parse.go \
		    protoc-gen-grpc-gateway/httprule/types.go \
		    protoc-gen-grpc-gateway/main.go
GATEWAY_PLUGIN_FLAGS?=
SWAGGER_PLUGIN_FLAGS?=

GOOGLEAPIS_DIR=third_party/googleapis
OUTPUT_DIR=_output

RUNTIME_PROTO=runtime/internal/stream_chunk.proto
RUNTIME_GO=$(RUNTIME_PROTO:.proto=.pb.go)

OPENAPIV2_PROTO=protoc-gen-swagger/options/openapiv2.proto protoc-gen-swagger/options/annotations.proto
OPENAPIV2_GO=$(OPENAPIV2_PROTO:.proto=.pb.go)

PKGMAP=Mgoogle/protobuf/field_mask.proto=google.golang.org/genproto/protobuf/field_mask,Mgoogle/protobuf/descriptor.proto=$(GO_PLUGIN_PKG)/descriptor,Mexamples/proto/sub/message.proto=$(PKG)/examples/proto/sub
ADDITIONAL_GW_FLAGS=
ifneq "$(GATEWAY_PLUGIN_FLAGS)" ""
	ADDITIONAL_GW_FLAGS=,$(GATEWAY_PLUGIN_FLAGS)
endif
ADDITIONAL_SWG_FLAGS=
ifneq "$(SWAGGER_PLUGIN_FLAGS)" ""
	ADDITIONAL_SWG_FLAGS=,$(SWAGGER_PLUGIN_FLAGS)
endif
SWAGGER_EXAMPLES=examples/proto/examplepb/echo_service.proto \
	 examples/proto/examplepb/a_bit_of_everything.proto \
	 examples/proto/examplepb/wrappers.proto \
	 examples/proto/examplepb/unannotated_echo_service.proto \
	 examples/proto/examplepb/response_body_service.proto

EXAMPLES=examples/proto/examplepb/echo_service.proto \
	 examples/proto/examplepb/a_bit_of_everything.proto \
	 examples/proto/examplepb/stream.proto \
	 examples/proto/examplepb/flow_combination.proto \
	 examples/proto/examplepb/wrappers.proto \
	 examples/proto/examplepb/unannotated_echo_service.proto \
	 examples/proto/examplepb/response_body_service.proto

EXAMPLE_SVCSRCS=$(EXAMPLES:.proto=.pb.go)
EXAMPLE_GWSRCS=$(EXAMPLES:.proto=.pb.gw.go)
EXAMPLE_SWAGGERSRCS=$(SWAGGER_EXAMPLES:.proto=.swagger.json)
EXAMPLE_DEPS=examples/proto/pathenum/path_enum.proto examples/proto/sub/message.proto examples/proto/sub2/message.proto
EXAMPLE_DEPSRCS=$(EXAMPLE_DEPS:.proto=.pb.go)

EXAMPLE_CLIENT_DIR=examples/clients
ECHO_EXAMPLE_SPEC=examples/proto/examplepb/echo_service.swagger.json
ECHO_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/echo/api_client.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/api_response.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/configuration.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/echo_service_api.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/examplepb_simple_message.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/examplepb_embedded.go
ABE_EXAMPLE_SPEC=examples/proto/examplepb/a_bit_of_everything.swagger.json
ABE_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/abe/a_bit_of_everything_nested.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/a_bit_of_everything_service_api.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/api_client.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/api_response.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/camel_case_service_name_api.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/echo_rpc_api.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/echo_service_api.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/examplepb_a_bit_of_everything.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/examplepb_body.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/examplepb_numeric_enum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/nested_deep_enum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/sub_string_message.go
UNANNOTATED_ECHO_EXAMPLE_SPEC=examples/proto/examplepb/unannotated_echo_service.swagger.json
UNANNOTATED_ECHO_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/unannotatedecho/api_client.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/api_response.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/examplepb_unannotated_simple_message.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/unannotated_echo_service_api.go
RESPONSE_BODY_EXAMPLE_SPEC=examples/proto/examplepb/response_body_service.swagger.json
RESPONSE_BODY_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/responsebody/api_client.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/api_response.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/examplepb_response_body.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/response_body_service_api.go

EXAMPLE_CLIENT_SRCS=$(ECHO_EXAMPLE_SRCS) $(ABE_EXAMPLE_SRCS) $(UNANNOTATED_ECHO_EXAMPLE_SRCS) $(RESPONSE_BODY_EXAMPLE_SRCS)
SWAGGER_CODEGEN=swagger-codegen

PROTOC_INC_PATH=$(dir $(shell which protoc))/../include

generate: $(RUNTIME_GO)

.SUFFIXES: .go .proto

$(GO_PLUGIN):
	dep ensure -vendor-only
	go build -o $@ ./vendor/$(GO_PLUGIN_PKG)

$(RUNTIME_GO): $(RUNTIME_PROTO) $(GO_PLUGIN)
	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I $(GOPATH)/src/$(GO_PTYPES_ANY_PKG) -I. --go_out=$(PKGMAP):. $(RUNTIME_PROTO)

$(OPENAPIV2_GO): $(OPENAPIV2_PROTO) $(GO_PLUGIN)
	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I. --go_out=$(PKGMAP):$(GOPATH)/src $(OPENAPIV2_PROTO)

$(GATEWAY_PLUGIN): $(RUNTIME_GO) $(GATEWAY_PLUGIN_SRC)
	go build -o $@ $(GATEWAY_PLUGIN_PKG)

$(SWAGGER_PLUGIN): $(SWAGGER_PLUGIN_SRC) $(OPENAPIV2_GO)
	go build -o $@ $(SWAGGER_PLUGIN_PKG)

$(EXAMPLE_SVCSRCS): $(GO_PLUGIN) $(EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc:. $(EXAMPLES)
$(EXAMPLE_DEPSRCS): $(GO_PLUGIN) $(EXAMPLE_DEPS)
	mkdir -p $(OUTPUT_DIR)
	protoc -I $(PROTOC_INC_PATH) -I. --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc:$(OUTPUT_DIR) $(@:.pb.go=.proto)
	cp $(OUTPUT_DIR)/$(PKG)/$@ $@ || cp $(OUTPUT_DIR)/$@ $@

$(EXAMPLE_GWSRCS): ADDITIONAL_GW_FLAGS:=$(ADDITIONAL_GW_FLAGS),grpc_api_configuration=examples/proto/examplepb/unannotated_echo_service.yaml
$(EXAMPLE_GWSRCS): $(GATEWAY_PLUGIN) $(EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GATEWAY_PLUGIN) --grpc-gateway_out=logtostderr=true,$(PKGMAP)$(ADDITIONAL_GW_FLAGS):. $(EXAMPLES)

$(EXAMPLE_SWAGGERSRCS): ADDITIONAL_SWG_FLAGS:=$(ADDITIONAL_SWG_FLAGS),grpc_api_configuration=examples/proto/examplepb/unannotated_echo_service.yaml
$(EXAMPLE_SWAGGERSRCS): $(SWAGGER_PLUGIN) $(SWAGGER_EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(SWAGGER_PLUGIN) --swagger_out=logtostderr=true,$(PKGMAP)$(ADDITIONAL_SWG_FLAGS):. $(SWAGGER_EXAMPLES)

$(ECHO_EXAMPLE_SRCS): $(ECHO_EXAMPLE_SPEC)
	$(SWAGGER_CODEGEN) generate -i $(ECHO_EXAMPLE_SPEC) \
	    -l go -o examples/clients/echo --additional-properties packageName=echo
	@rm -f $(EXAMPLE_CLIENT_DIR)/echo/README.md \
		$(EXAMPLE_CLIENT_DIR)/echo/git_push.sh
$(ABE_EXAMPLE_SRCS): $(ABE_EXAMPLE_SPEC)
	$(SWAGGER_CODEGEN) generate -i $(ABE_EXAMPLE_SPEC) \
	    -l go -o examples/clients/abe --additional-properties packageName=abe
	@rm -f $(EXAMPLE_CLIENT_DIR)/abe/README.md \
		$(EXAMPLE_CLIENT_DIR)/abe/git_push.sh
$(UNANNOTATED_ECHO_EXAMPLE_SRCS): $(UNANNOTATED_ECHO_EXAMPLE_SPEC)
	$(SWAGGER_CODEGEN) generate -i $(UNANNOTATED_ECHO_EXAMPLE_SPEC) \
	    -l go -o examples/clients/unannotatedecho --additional-properties packageName=unannotatedecho
	@rm -f $(EXAMPLE_CLIENT_DIR)/unannotatedecho/README.md \
		$(EXAMPLE_CLIENT_DIR)/unannotatedecho/git_push.sh
$(RESPONSE_BODY_EXAMPLE_SRCS): $(RESPONSE_BODY_EXAMPLE_SPEC)
	$(SWAGGER_CODEGEN) generate -i $(RESPONSE_BODY_EXAMPLE_SPEC) \
	    -l go -o examples/clients/responsebody --additional-properties packageName=responsebody
	@rm -f $(EXAMPLE_CLIENT_DIR)/responsebody/README.md \
		$(EXAMPLE_CLIENT_DIR)/responsebody/git_push.sh

examples: $(EXAMPLE_DEPSRCS) $(EXAMPLE_SVCSRCS) $(EXAMPLE_GWSRCS) $(EXAMPLE_SWAGGERSRCS) $(EXAMPLE_CLIENT_SRCS)
test: examples
	go test -race $(PKG)/...
	go test -race $(PKG)/examples/integration -args -network=unix -endpoint=test.sock
changelog:
	docker run --rm \
		--interactive \
		--tty \
		-e "CHANGELOG_GITHUB_TOKEN=${CHANGELOG_GITHUB_TOKEN}" \
		-v "$(PWD):/usr/local/src/your-app" \
		ferrarimarco/github-changelog-generator:1.14.3 \
				-u grpc-ecosystem \
				-p grpc-gateway \
				--author \
				--compare-link \
				--github-site=https://grpc-ecosystem.github.io/grpc-gateway \
				--unreleased-label "**Next release**" \
				--future-release=v1.6.4
lint:
	golint --set_exit_status $(PKG)/runtime
	golint --set_exit_status $(PKG)/utilities/...
	golint --set_exit_status $(PKG)/protoc-gen-grpc-gateway/...
	golint --set_exit_status $(PKG)/protoc-gen-swagger/...
	go vet $(PKG)/runtime || true
	go vet $(PKG)/utilities/...
	go vet $(PKG)/protoc-gen-grpc-gateway/...
	go vet $(PKG)/protoc-gen-swagger/...

clean:
	rm -f $(GATEWAY_PLUGIN) $(SWAGGER_PLUGIN)
distclean: clean
	rm -f $(GO_PLUGIN)
realclean: distclean
	rm -f $(EXAMPLE_SVCSRCS) $(EXAMPLE_DEPSRCS)
	rm -f $(EXAMPLE_GWSRCS)
	rm -f $(EXAMPLE_SWAGGERSRCS)
	rm -f $(EXAMPLE_CLIENT_SRCS)
	rm -f $(OPENAPIV2_GO)

.PHONY: generate examples test lint clean distclean realclean

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2build2) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:12:15 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Sep 2020 23:17:43 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Set debian-branch to debian/sid in gbp.conf
  * Bump golang-google-genproto-dev to 0.0~git20190111~ (Closes: #919500)
  * Bump golang-goprotobuf-dev to 1.2.0

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Thu, 17 Jan 2019 12:03:44 +0700

golang-github-grpc-ecosystem-grpc-gateway (1.6.4-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * debian/control: Add missing dependency on genproto.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dr. Tobias Quathamer ]
  * New upstream release 1.6.4 (Closes: #918618).
    - Add new dependency golang-github-ghodss-yaml-dev
  * Update d/watch
  * Use debhelper v11
  * Update team name
  * Update to Standards-Version 4.3.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 15 Jan 2019 21:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,38 @@
 Source: golang-github-grpc-ecosystem-grpc-gateway
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-dghubble-sling-dev,
+               golang-github-ghodss-yaml-dev,
                golang-github-rogpeppe-fastuuid-dev,
                golang-glog-dev,
                golang-golang-x-net-dev,
+               golang-google-genproto-dev (>= 0.0~git20190111~),
                golang-google-grpc-dev (>= 1.6.0),
-               golang-goprotobuf-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-grpc-ecosystem-grpc-gateway.git
+               golang-goprotobuf-dev (>= 1.2.0),
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway.git
 Homepage: https://github.com/grpc-ecosystem/grpc-gateway
 XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
 
 Package: golang-github-grpc-ecosystem-grpc-gateway-dev
 Architecture: all
 Depends: golang-github-dghubble-sling-dev,
+         golang-github-ghodss-yaml-dev,
          golang-github-rogpeppe-fastuuid-dev,
          golang-glog-dev,
          golang-golang-x-net-dev,
+         golang-google-genproto-dev (>= 0.0~git20190111~),
          golang-google-grpc-dev (>= 1.6.0),
-         golang-goprotobuf-dev,
+         golang-goprotobuf-dev (>= 1.2.0),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: gRPC to JSON proxy generator for Golang -- sources

## golang-github-grpc-ecosystem-grpc-gateway 1.16.0

=== Makefile ===
# This is a Makefile which maintains files automatically generated but to be
# shipped together with other files.
# You don't have to rebuild these targets by yourself unless you develop
# grpc-gateway itself.

GO_PLUGIN=bin/protoc-gen-go
GO_PROTOBUF_REPO=github.com/golang/protobuf
GO_PLUGIN_PKG=$(GO_PROTOBUF_REPO)/protoc-gen-go
GO_PTYPES_ANY_PKG=$(GO_PROTOBUF_REPO)/ptypes/any
SWAGGER_PLUGIN=bin/protoc-gen-swagger
SWAGGER_PLUGIN_SRC= utilities/doc.go \
		    utilities/pattern.go \
		    utilities/trie.go \
		    protoc-gen-swagger/genswagger/generator.go \
		    protoc-gen-swagger/genswagger/template.go \
		    protoc-gen-swagger/main.go
SWAGGER_PLUGIN_PKG=./protoc-gen-swagger
GATEWAY_PLUGIN=bin/protoc-gen-grpc-gateway
GATEWAY_PLUGIN_PKG=./protoc-gen-grpc-gateway
GATEWAY_PLUGIN_SRC= utilities/doc.go \
		    utilities/pattern.go \
		    utilities/trie.go \
		    protoc-gen-grpc-gateway \
		    protoc-gen-grpc-gateway/descriptor \
		    protoc-gen-grpc-gateway/descriptor/registry.go \
		    protoc-gen-grpc-gateway/descriptor/services.go \
		    protoc-gen-grpc-gateway/descriptor/types.go \
		    protoc-gen-grpc-gateway/descriptor/grpc_api_configuration.go \
		    protoc-gen-grpc-gateway/descriptor/grpc_api_service.go \
		    protoc-gen-grpc-gateway/generator \
		    protoc-gen-grpc-gateway/generator/generator.go \
		    protoc-gen-grpc-gateway/internal/gengateway \
		    protoc-gen-grpc-gateway/internal/gengateway/doc.go \
		    protoc-gen-grpc-gateway/internal/gengateway/generator.go \
		    protoc-gen-grpc-gateway/internal/gengateway/template.go \
		    protoc-gen-grpc-gateway/httprule \
		    protoc-gen-grpc-gateway/httprule/compile.go \
		    protoc-gen-grpc-gateway/httprule/parse.go \
		    protoc-gen-grpc-gateway/httprule/types.go \
		    protoc-gen-grpc-gateway/main.go
GATEWAY_PLUGIN_FLAGS?=
SWAGGER_PLUGIN_FLAGS?=

GOOGLEAPIS_DIR=third_party/googleapis
OUTPUT_DIR=_output

RUNTIME_PROTO=internal/errors.proto
RUNTIME_GO=$(RUNTIME_PROTO:.proto=.pb.go)

OPENAPIV2_PROTO=protoc-gen-swagger/options/openapiv2.proto protoc-gen-swagger/options/annotations.proto
OPENAPIV2_GO=$(OPENAPIV2_PROTO:.proto=.pb.go)

PKGMAP=Mgoogle/protobuf/field_mask.proto=google.golang.org/genproto/protobuf/field_mask,Mgoogle/protobuf/descriptor.proto=$(GO_PLUGIN_PKG)/descriptor,Mexamples/internal/proto/sub/message.proto=github.com/grpc-ecosystem/grpc-gateway/examples/internal/proto/sub
ADDITIONAL_GW_FLAGS=
ifneq "$(GATEWAY_PLUGIN_FLAGS)" ""
	ADDITIONAL_GW_FLAGS=,$(GATEWAY_PLUGIN_FLAGS)
endif
ADDITIONAL_SWG_FLAGS=
ifneq "$(SWAGGER_PLUGIN_FLAGS)" ""
	ADDITIONAL_SWG_FLAGS=,$(SWAGGER_PLUGIN_FLAGS)
endif
SWAGGER_EXAMPLES=examples/internal/proto/examplepb/echo_service.proto \
	 examples/internal/proto/examplepb/a_bit_of_everything.proto \
	 examples/internal/proto/examplepb/wrappers.proto \
	 examples/internal/proto/examplepb/stream.proto \
	 examples/internal/proto/examplepb/unannotated_echo_service.proto \
	 examples/internal/proto/examplepb/use_go_template.proto \
	 examples/internal/proto/examplepb/response_body_service.proto
SWAGGER_EXAMPLE_MERGE=examples/internal/proto/examplepb/swagger_merge_a.proto \
	 examples/internal/proto/examplepb/swagger_merge_b.proto

EXAMPLES=examples/internal/proto/examplepb/echo_service.proto \
	 examples/internal/proto/examplepb/a_bit_of_everything.proto \
	 examples/internal/proto/examplepb/stream.proto \
	 examples/internal/proto/examplepb/flow_combination.proto \
	 examples/internal/proto/examplepb/non_standard_names.proto \
	 examples/internal/proto/examplepb/wrappers.proto \
	 examples/internal/proto/examplepb/unannotated_echo_service.proto \
	 examples/internal/proto/examplepb/use_go_template.proto \
	 examples/internal/proto/examplepb/response_body_service.proto

GENERATE_UNBOUND_METHODS_EXAMPLE=examples/internal/proto/examplepb/generate_unbound_methods.proto

HELLOWORLD=examples/internal/helloworld/helloworld.proto

EXAMPLE_SVCSRCS=$(EXAMPLES:.proto=.pb.go)
EXAMPLE_GWSRCS=$(EXAMPLES:.proto=.pb.gw.go)
EXAMPLE_SWAGGERSRCS=$(SWAGGER_EXAMPLES:.proto=.swagger.json)
EXAMPLE_SWAGGER_MERGE=examples/internal/proto/examplepb/swagger_merge.swagger.json
EXAMPLE_DEPS=examples/internal/proto/pathenum/path_enum.proto examples/internal/proto/sub/message.proto examples/internal/proto/sub2/message.proto
EXAMPLE_DEPSRCS=$(EXAMPLE_DEPS:.proto=.pb.go)

GENERATE_UNBOUND_METHODS_EXAMPLE_SWAGGERSRCS=$(GENERATE_UNBOUND_METHODS_EXAMPLE:.proto=.swagger.json)
GENERATE_UNBOUND_METHODS_EXAMPLE_SVCSRCS=$(GENERATE_UNBOUND_METHODS_EXAMPLE:.proto=.pb.go)
GENERATE_UNBOUND_METHODS_EXAMPLE_GWSRCS=$(GENERATE_UNBOUND_METHODS_EXAMPLE:.proto=.pb.gw.go)

HELLOWORLD_SVCSRCS=$(HELLOWORLD:.proto=.pb.go)
HELLOWORLD_GWSRCS=$(HELLOWORLD:.proto=.pb.gw.go)

RUNTIME_TEST_PROTO=runtime/internal/examplepb/example.proto
RUNTIME_TEST_SRCS=$(RUNTIME_TEST_PROTO:.proto=.pb.go)

EXAMPLE_CLIENT_DIR=examples/internal/clients
ECHO_EXAMPLE_SPEC=examples/internal/proto/examplepb/echo_service.swagger.json
ECHO_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/echo/client.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/response.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/configuration.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/api_echo_service.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/model_examplepb_simple_message.go \
		  $(EXAMPLE_CLIENT_DIR)/echo/model_examplepb_embedded.go
ABE_EXAMPLE_SPEC=examples/internal/proto/examplepb/a_bit_of_everything.swagger.json
ABE_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/abe/model_a_bit_of_everything_nested.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/api_a_bit_of_everything_service.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/client.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/api_camel_case_service_name.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/api_echo_rpc.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_examplepb_a_bit_of_everything.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_examplepb_a_bit_of_everything_repeated.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_examplepb_body.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_examplepb_numeric_enum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_examplepb_update_v2_request.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_message_path_enum_nested_path_enum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_nested_deep_enum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_pathenum_path_enum.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/model_protobuf_field_mask.go \
		 $(EXAMPLE_CLIENT_DIR)/abe/response.go
UNANNOTATED_ECHO_EXAMPLE_SPEC=examples/internal/proto/examplepb/unannotated_echo_service.swagger.json
UNANNOTATED_ECHO_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/unannotatedecho/client.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/response.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/model_examplepb_unannotated_simple_message.go \
		 $(EXAMPLE_CLIENT_DIR)/unannotatedecho/api_unannotated_echo_service.go
RESPONSE_BODY_EXAMPLE_SPEC=examples/internal/proto/examplepb/response_body_service.swagger.json
RESPONSE_BODY_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/responsebody/client.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/response.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/model_examplepb_repeated_response_body_out.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/model_examplepb_repeated_response_body_out_response.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/model_examplepb_repeated_response_strings.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/model_examplepb_response_body_out.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/model_examplepb_response_body_out_response.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/model_response_response_type.go \
		 $(EXAMPLE_CLIENT_DIR)/responsebody/api_response_body_service.go
GENERATE_UNBOUND_METHODS_EXAMPLE_SPEC=examples/internal/proto/examplepb/generate_unbound_methods.swagger.json
GENERATE_UNBOUND_METHODS_EXAMPLE_SRCS=$(EXAMPLE_CLIENT_DIR)/generateunboundmethods/client.go \
		 $(EXAMPLE_CLIENT_DIR)/generateunboundmethods/response.go \
		 $(EXAMPLE_CLIENT_DIR)/generateunboundmethods/configuration.go \
		 $(EXAMPLE_CLIENT_DIR)/generateunboundmethods/model_examplepb_generate_unbound_methods_simple_message.go \
		 $(EXAMPLE_CLIENT_DIR)/generateunboundmethods/api_generate_unbound_methods.go

EXAMPLE_CLIENT_SRCS=$(ECHO_EXAMPLE_SRCS) $(ABE_EXAMPLE_SRCS) $(UNANNOTATED_ECHO_EXAMPLE_SRCS) $(RESPONSE_BODY_EXAMPLE_SRCS) $(GENERATE_UNBOUND_METHODS_EXAMPLE_SRCS)
SWAGGER_CODEGEN=swagger-codegen

PROTOC_INC_PATH=$(dir $(shell which protoc))/../include

generate: $(RUNTIME_GO)

.SUFFIXES: .go .proto

$(GO_PLUGIN):
	go build -o $(GO_PLUGIN) $(GO_PLUGIN_PKG)

$(RUNTIME_GO): $(RUNTIME_PROTO) $(GO_PLUGIN)
	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I. --go_out=$(PKGMAP),paths=source_relative:. $(RUNTIME_PROTO)

$(OPENAPIV2_GO): $(OPENAPIV2_PROTO) $(GO_PLUGIN)
	protoc -I $(PROTOC_INC_PATH) --plugin=$(GO_PLUGIN) -I. --go_out=$(PKGMAP),paths=source_relative:. $(OPENAPIV2_PROTO)

$(GATEWAY_PLUGIN): $(RUNTIME_GO) $(GATEWAY_PLUGIN_SRC)
	go build -o $@ $(GATEWAY_PLUGIN_PKG)

$(SWAGGER_PLUGIN): $(SWAGGER_PLUGIN_SRC) $(OPENAPIV2_GO)
	go build -o $@ $(SWAGGER_PLUGIN_PKG)

$(EXAMPLE_SVCSRCS): $(GO_PLUGIN) $(EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc,paths=source_relative:. $(EXAMPLES)
$(EXAMPLE_DEPSRCS): $(GO_PLUGIN) $(EXAMPLE_DEPS)
	protoc -I $(PROTOC_INC_PATH) -I. --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc,paths=source_relative:. $(@:.pb.go=.proto)

$(RUNTIME_TEST_SRCS): $(GO_PLUGIN) $(RUNTIME_TEST_PROTO)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc,paths=source_relative:. $(RUNTIME_TEST_PROTO)

$(EXAMPLE_GWSRCS): ADDITIONAL_GW_FLAGS:=$(ADDITIONAL_GW_FLAGS),grpc_api_configuration=examples/internal/proto/examplepb/unannotated_echo_service.yaml
$(EXAMPLE_GWSRCS): $(GATEWAY_PLUGIN) $(EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GATEWAY_PLUGIN) --grpc-gateway_out=logtostderr=true,allow_repeated_fields_in_body=true,$(PKGMAP)$(ADDITIONAL_GW_FLAGS):. $(EXAMPLES)

$(EXAMPLE_SWAGGERSRCS): ADDITIONAL_SWG_FLAGS:=$(ADDITIONAL_SWG_FLAGS),grpc_api_configuration=examples/internal/proto/examplepb/unannotated_echo_service.yaml
$(EXAMPLE_SWAGGERSRCS): $(SWAGGER_PLUGIN) $(SWAGGER_EXAMPLES)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(SWAGGER_PLUGIN) --swagger_out=logtostderr=true,allow_repeated_fields_in_body=true,use_go_templates=true,$(PKGMAP)$(ADDITIONAL_SWG_FLAGS):. $(SWAGGER_EXAMPLES)

$(EXAMPLE_SWAGGER_MERGE): $(SWAGGER_PLUGIN) $(SWAGGER_EXAMPLE_MERGE)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(SWAGGER_PLUGIN) --swagger_out=logtostderr=true,allow_repeated_fields_in_body=true,use_go_templates=true,allow_merge=true,merge_file_name=$(EXAMPLE_SWAGGER_MERGE:.swagger.json=),$(PKGMAP):. $(SWAGGER_EXAMPLE_MERGE)

$(GENERATE_UNBOUND_METHODS_EXAMPLE_GWSRCS): $(GATEWAY_PLUGIN) $(GENERATE_UNBOUND_METHODS_EXAMPLE)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GATEWAY_PLUGIN) --grpc-gateway_out=logtostderr=true,allow_repeated_fields_in_body=true,generate_unbound_methods=true,$(PKGMAP)$(ADDITIONAL_GW_FLAGS):. $(GENERATE_UNBOUND_METHODS_EXAMPLE)
$(GENERATE_UNBOUND_METHODS_EXAMPLE_SVCSRCS): $(GO_PLUGIN) $(GENERATE_UNBOUND_METHODS_EXAMPLE)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc,paths=source_relative:. $(GENERATE_UNBOUND_METHODS_EXAMPLE)
$(GENERATE_UNBOUND_METHODS_EXAMPLE_SWAGGERSRCS): $(SWAGGER_PLUGIN) $(GENERATE_UNBOUND_METHODS_EXAMPLE)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(SWAGGER_PLUGIN) --swagger_out=logtostderr=true,allow_repeated_fields_in_body=true,use_go_templates=true,generate_unbound_methods=true,$(PKGMAP):. $(GENERATE_UNBOUND_METHODS_EXAMPLE)

$(HELLOWORLD_SVCSRCS): $(GO_PLUGIN) $(HELLOWORLD)
	protoc -I $(PROTOC_INC_PATH) -I. -I$(GOOGLEAPIS_DIR) --plugin=$(GO_PLUGIN) --go_out=$(PKGMAP),plugins=grpc,paths=source_relative:. $(HELLOWORLD)

$(HELLOWORLD_GWSRCS):

=== debian/changelog ===
golang-github-grpc-ecosystem-grpc-gateway (1.16.0-4) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.6.2 (no changes needed)
    - Add Rules-Requires-Root: no
    - Update debhelper-compat to v13
    - Replace transitional golang-goprotobuf-dev package
    - Allow golang-github-golang-protobuf-1-5-dev as optional Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Feb 2024 21:49:21 +0000

golang-github-grpc-ecosystem-grpc-gateway (1.16.0-3) unstable; urgency=medium

  * Team upload.
  * Avoid building protoc-gen-swagger, Closes: #1038870
  * revert: Add runtime/internal/examplepb to DH_GOLANG_EXCLUDES.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 29 Jul 2023 07:19:40 -0400

golang-github-grpc-ecosystem-grpc-gateway (1.16.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Jun 2023 14:00:28 +0200

golang-github-grpc-ecosystem-grpc-gateway (1.16.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Thomas Goirand ]
  * New upstream release.
  * Add runtime/internal/examplepb to DH_GOLANG_EXCLUDES.
  * Fix (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2022 10:12:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: golang-github-grpc-ecosystem-grpc-gateway
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-dghubble-sling-dev,
@@ -14,13 +13,15 @@
                golang-github-rogpeppe-fastuuid-dev,
                golang-glog-dev,
                golang-golang-x-net-dev,
+               golang-golang-x-oauth2-dev,
                golang-google-genproto-dev (>= 0.0~git20190111~),
                golang-google-grpc-dev (>= 1.6.0),
-               golang-goprotobuf-dev (>= 1.2.0),
-Standards-Version: 4.3.0
+               golang-github-golang-protobuf-1-3-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-grpc-ecosystem-grpc-gateway.git
 Homepage: https://github.com/grpc-ecosystem/grpc-gateway
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/grpc-ecosystem/grpc-gateway
 
 Package: golang-github-grpc-ecosystem-grpc-gateway-dev
@@ -30,9 +31,10 @@
          golang-github-rogpeppe-fastuuid-dev,
          golang-glog-dev,
          golang-golang-x-net-dev,
+         golang-golang-x-oauth2-dev,
          golang-google-genproto-dev (>= 0.0~git20190111~),
          golang-google-grpc-dev (>= 1.6.0),
-         golang-goprotobuf-dev (>= 1.2.0),
+         golang-github-golang-protobuf-1-3-dev | golang-github-golang-protobuf-1-5-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: gRPC to JSON proxy generator for Golang -- sources

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples protoc-gen-swagger

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
